{%- extends "base.html" %}


{% import "bootstrap/utils.html" as utils %}
{% from "bootstrap/pagination.html" import render_pagination %}
{% block content %}
    <div class="container">
        <table class="table table-striped">
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Status</th>
                <th scope="col">Device</th>
                <th scope="col">Version</th>
                <th scope="col">Type</th>
                <th scope="col">Date</th>
                <th scope="col">Duration</th>
                <th scope="col">Runner</th>
            </tr>
            {% for build in builds.items %}
                {% if build.build_status == "success" %}
                    {% set color = "default" %}
                {% elif build.build_status == "pending" %}
                    {% set color = "info" %}
                {% elif build.build_status == "failed" %}
                    {% set color = "danger" %}
                {% else %}
                    {% set color = "warning" %}
                {% endif %}
            <tr class="{{color}}">
                <th scope="row"><a href="https://gitlab.com/LineageOS/builder/android/pipelines/{{build.build_id}}">{{build.build_id}}</a></th>
                <td>{{build.build_status}}</td>
                <td>{{build.build_device}}</td>
                <td>{{build.build_version}}</td>
                <td>{{build.build_type}}</td>
                <td>{{build.build_date}}</td>
                <td>{% if build.build_duration %}{{(build.build_duration / 60) | round(2)}} min{% endif %}</td>
                <td><a href="/runners/{{build.build_runner.runner_name}}">{{build.build_runner.runner_name}}</a></td>
            </tr>
            {% endfor %}
        </table>
        {{render_pagination(builds)}}
    </div>
{% include "footer.html" %}
{% endblock %}
